# Recover deleted table

Recovers a deleted table. If the parent database is also deleted, with proper permissions it will be recovered automatically.

Endpoint: POST /table/recover/{table_id}
Version: 3
Security: ApiKeyAuth

## Security:

  - `ApiKeyAuth` (unknown)
    http TD1

## Path parameters:

  - `table_id` (integer, required)

## Request fields (application/json):

  - `table_name` (string)
    Example: Bravo

  - `database_name` (string)
    database name
    Example: Alpha

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `id` (integer, required)
    Example: 11

  - `name` (string, required)
    Example: Bravo

  - `count` (integer, required)
    Example: 1000

  - `counter_updated_at` (any, required)

  - `created_at` (string, required)
    Datetime in custom format (`2020-12-31 11:22:33 -0500` or `2020-12-31 11:22:33 UTC` for UTC)
    Example: 2020-12-31 11:22:33 UTC

  - `updated_at` (string, required)
    Datetime in custom format (`2020-12-31 11:22:33 -0500` or `2020-12-31 11:22:33 UTC` for UTC)
    Example: 2020-12-31 11:22:33 UTC

  - `estimated_storage_size` (integer, required)
    Example: 1073741824

  - `expire_days` (integer, required)
    Example: 30

  - `include_v` (boolean, required)
    when true, Hive queries can access a virtual column "v" which contains a map of every data column's name to its value (represented as a string). Prefer to set a schema on the table instead of using "v".
    Example: false

  - `last_log_timestamp` (integer, required)
    Example: 1356998400

  - `delete_protected` (boolean, required)
    Example: true

  - `type` (string, required)
    Enum: "log"

## Response 4XX:

  - `4XX` (unknown)
    Client Error

## Response 5XX:

  - `5XX` (unknown)
    Server Error

